#### D.2.10.1 genericid

Procedure from library `random.lib` (see random_lib).

Usage:
  genericid(id[,p,b]); id ideal/module, p,b integers

Return:
  system of generators of id which are generic, sparse, triagonal linear combinations of given generators with coefficients in [1,b] and sparsety p percent, bigger p being sparser (default: p=75, b=30000)

Note:
  For performance reasons try small bound b in characteristic 0

Example:

    LIB "random.lib";
    ring r=0,(t,x,y,z),ds;
    ideal i= x3+y4,z4+yx,t+x+y+z;
    genericid(i,0,10);
    ==> _[1]=3t+3x+3y+3z+2xy+x3+y4+2z4
    ==> _[2]=4t+4x+4y+4z+xy+z4
    ==> _[3]=t+x+y+z
    module m=[x,0,0,0],[0,y2,0,0],[0,0,z3,0],[0,0,0,t4];
    print(genericid(m));
    ==> x,      0,      0, 0,
    ==> 17904y2,y2,     0, 0,
    ==> 0,      24170z3,z3,0,
    ==> 0,      0,      0, t4

User manual for Singular version 4.4.1, 2025, generated by texi2html.